/* 
 * Right to Left Direction
 * Version: 1.0
 * Author: @vitatemplates
*/

* {
	direction: rtl;
}
.v-gr-color {
	background-image: -webkit-gradient(linear, right top, left top, from(rgba(255,255,255,0)), to(rgba(255,255,255,.8))) !important;
	background-image: -webkit-linear-gradient(right, rgba(255,255,255,0), rgba(255,255,255,.8)) !important;
	background-image: -o-linear-gradient(right, rgba(255,255,255,0), rgba(255,255,255,.8)) !important;
	background-image: linear-gradient(to left, rgba(255,255,255,0), rgba(255,255,255,.8)) !important;
	background-repeat: no-repeat;
}
.fas.fa-arrow-right, .fas.fa-arrow-circle-right, .fas.fa-arrow-alt-circle-right, .far.fa-arrow-alt-circle-right, .fas.fa-long-arrow-alt-right, .fas.fa-chevron-circle-right, .fas.fa-angle-double-right, .fas.fa-caret-right, .fas.fa-angle-right, .fas.fa-arrow-left, .fas.fa-arrow-circle-left, .fas.fa-arrow-alt-circle-left, .far.fa-arrow-alt-circle-left, .fas.fa-long-arrow-alt-left, .fas.fa-chevron-circle-left, .fas.fa-angle-double-left, .fas.fa-caret-left, .fas.fa-angle-left {
	-webkit-transform: rotateY(180deg) !important;
	transform: rotateY(180deg) !important;
}
/* -- Menu -- */
.navbar .collapse ul ul {
	right: 0 !important;
}
.navbar-nav > li > ul .dropdown-toggle::after {
	left: 10px !important;
	right: auto !important;
	-webkit-transform: rotateY(180deg) !important;
	transform: rotateY(180deg) !important;
}
.navbar .navbar-toggler {
	left: 0 !important;
	right: auto !important;
}
.navbar-nav > li > .dropdown-toggle::after {
	left: .5rem;
	right: auto;
}
.navbar .badge {
	margin-left: 0 !important;
	margin-right: .8rem;
}
.navbar .badge:before {
	right: auto !important;
	left: 100%;
	border-right: none !important;
	border-left: 5px solid #dc3545;
}

@media only screen and (min-width: 992px) {
.navbar .collapse ul ul {
	right: 0 !important;
	left: auto !important;
}
.navbar .collapse ul ul ul {
	right: 100% !important;
	left: auto !important;
}
}

@media (max-width: 992px) {
.navbar-nav .dropdown-toggle::after {
	left: 15px !important;
	right: auto !important;
}
.nav-elements {
	right: auto !important;
	left: 50px;
}
}
/* -- Margin right minus -- */
.v-me-minus-1 {
	margin-left: -1rem;
	margin-right: auto !important;
}
.v-me-minus-2 {
	margin-left: -2rem;
	margin-right: auto !important;
}
.v-me-minus-3 {
	margin-left: -3rem;
	margin-right: auto !important;
}
.v-me-minus-4 {
	margin-left: -4rem;
	margin-right: auto !important;
}
.v-me-minus-5 {
	margin-left: -5rem;
	margin-right: auto !important;
}
.v-me-minus-6 {
	margin-left: -6rem;
	margin-right: auto !important;
}
.v-me-minus-7 {
	margin-left: -7rem;
	margin-right: auto !important;
}
.v-me-minus-8 {
	margin-left: -8rem;
	margin-right: auto !important;
}
.v-me-minus-9 {
	margin-left: -9rem;
	margin-right: auto !important;
}
/* -- Margin left minus -- */
.v-ms-minus-1 {
	margin-right: -1rem;
	margin-left: auto !important;
}
.v-ms-minus-2 {
	margin-right: -2rem;
	margin-left: auto !important;
}
.v-ms-minus-3 {
	margin-right: -3rem;
	margin-left: auto !important;
}
.v-ms-minus-4 {
	margin-right: -4rem;
	margin-left: auto !important;
}
.v-ms-minus-5 {
	margin-right: -5rem;
	margin-left: auto !important;
}
.v-ms-minus-6 {
	margin-right: -6rem;
	margin-left: auto !important;
}
.v-ms-minus-7 {
	margin-right: -7rem;
	margin-left: auto !important;
}
.v-ms-minus-8 {
	margin-right: -8rem;
	margin-left: auto !important;
}
.v-ms-minus-9 {
	margin-right: -9rem;
	margin-left: auto !important;
}
.float-right {
	float: left !important;
}
.float-left {
	float: right !important;
}
/* -- Box Shadow -- */
.v-shadow-left::before {
	left: auto !important;
	right: .8rem !important;
	-webkit-transform: rotate(4deg) !important;
	-ms-transform: rotate(4deg) !important;
	transform: rotate(4deg) !important;
}
.v-shadow-right::after {
	right: auto !important;
	left: .8rem !important;
	-webkit-transform: rotate(-4deg) !important;
	-ms-transform: rotate(-4deg) !important;
	transform: rotate(-4deg) !important;
}
/* -- Owl Carousel -- */
.owl-nav .owl-next {
	left: 0 !important;
	right: auto !important;
}
.owl-nav .owl-prev {
	left: auto !important;
	right: 0 !important;
}
.owl-dots.thumbnails {
	right: auto !important;
	left: 30px;
}
/* -- form -- */
::-webkit-input-placeholder {
	text-align: right;
}
:-ms-input-placeholder {
	text-align: right;
}
::-ms-input-placeholder {
	text-align: right;
}
::placeholder {
	text-align: right;
}